OPNSENSE-VERSION(8)

NAME
opnsense-version - OPNsense version utility

SYNOPSIS
opnsense-version [-AaCefHilNnsVvwx] [package]
opnsense-version -cO [package]

DESCRIPTION
The opnsense-version utility emits build-time package metadata, e.g. version numbers and product-related information for branding capabilities.

Callers use this metadata to configure the system, return user information or to construct links for firmware upgrades using opnsense-update(8). It is similar to opnsense-verify(8)'s ‘-a’ parameter, but not intended to handle operating system information.

The default package is assumed to be core, unless another package has been specified. Other packages can be base, kernel, or plugin names.

Multiple options can be specified to build a custom version string when that information is available. The options are as follows:

-A  Return the system architecture string.

-a  Return the firmware ABI string.

-C  Return a space separated list of known product conflicts.

-c  Exit successfully if the package exists. Otherwise, exit with an error.

-e  Return the product contact e-mail address.

-H  Return the package commit hash.

-i  Return the package nickname.

-l  Return the lock status. Currently limited to sets operated by opnsense-update(8).

-N  Return the product name.

-n  Return the package name.

-O  Return the raw version data.

-s  Return the accumulated file size of the package.

-t  Return the support tier level of the package.

-V  Return the package series.

-v  Return the package version.

-w  Return the product version website.

-x  Return the required ABI string. This is necessary for detecting an ABI-crossing that requires a clean reinstall of all packages and for manipulating the target ABI going to and away from the business mirror.

FILES

/usr/local/opnsense/version
    The version metadata directory of OPNsense packages.

EXIT STATUS

SEE ALSO
opnsense-update(8), opnsense-verify(8)

HISTORY
The opnsense-version utility first appeared in OPNsense 18.7.4.

AUTHORS
Franco Fichtner <franco@opnsense.org>